it-swarm-ja.tech

pipまたはeasy_installを介してwxpythonをインストールする

wxpythonを使用したpipのインストールで問題が発生しています。

これが私の現在の出力です:

[myuserid]% Sudo pip install wxpython
Downloading/unpacking wxpython
  Downloading wxPython2.8-win64-devel-2.8.11.0-msvc9x64.tar.bz2 (7.2Mb): 7.2Mb downloaded
  Running setup.py Egg_info for package wxpython
    Traceback (most recent call last):
      File "<string>", line 14, in <module>
    IOError: [Errno 2] No such file or directory: '/Users/myuserid/build/wxpython/setup.py'
    Complete output from command python setup.py Egg_info:
    Traceback (most recent call last):

  File "<string>", line 14, in <module>

IOError: [Errno 2] No such file or directory: '/Users/myuserid/build/wxpython/setup.py'

----------------------------------------
Command python setup.py Egg_info failed with error code 1
Storing complete log in /Users/myuserid/.pip/pip.log
  • Pip.logファイルを確認しましたが、完全に空です。
  • 私はpip経由で他のパッケージをインストールしようとしましたが、問題はないので、pip自体が機能していると思います。

私はeasy_installでも試してみて、次のものを得ました:

[myuserid]% Sudo easy_install wxpython
install_dir /Library/Frameworks/EPD64.framework/Versions/6.2/lib/python2.6/site-packages/
Searching for wxpython
Reading http://pypi.python.org/simple/wxpython/
Reading http://wxPython.org/
Reading http://wxPython.org/download.php
Best match: wxPython src-2.8.11.0
Downloading http://downloads.sourceforge.net/wxpython/wxPython-src-2.8.11.0.tar.bz2
Processing wxPython-src-2.8.11.0.tar.bz2
error: Couldn't find a setup script in /tmp/easy_install-faZZOn/wxPython-src-2.8.11.0.tar.bz2
  • これは、wxpythonおよびeasy_installによって取得されたpipパッケージで何かが起こっていることを意味しますか
  • ソースからビルドする以外に、pipまたはeasy_installからこのタイプの応答をデバッグまたはパッチする方法は他にありますか?

システム構成:

  • OS X 10.6
  • Enthought Python Distribution Python v2.6、64ビット

他に必要な情報がある場合は、お知らせください。投稿します。

22
dtlussier

これは初めてのようです...ようこそ!

あなたのためにEPDを構築したEnthoughtの人々は、64ビットpython用のwxPythonを確実に構築する方法をまだ理解していません。以下を参照してください。

http://www.enthought.com/products/epdfaq.php#mac

だから、あなたは困難な海に踏み込んでいます。 Qtルートに行くことを検討しましたか? traitsUIでサポートされているすべてのアプリは、Qtに簡単に移植できます。現在、EPDとやり取りする(たとえばpyQtをインストールする)ためにHomebrewの外観が好きですが、審査員はまだ出ていません(まだ行っていません)。私もそれへのリンクを投稿しますが、私は現在1ポイントのユーザーです...

またwxPythonがすでに含まれている32ビットEPDをインストールすることもできます。次に、32ビットpythonを視覚化に使用し、64ビットを本格的な数値計算に使用します。

WxPythonのインストールを要求する場合は、Carbonバージョン(安定していますが、32ビットのみ)をリンクできないことに注意してください。代わりに、wxCocoa(実験的、64ビット)を使用する必要があります。少なくとも、これは私の理解です。熱心な人々はwxCocoaについては何も言及しておらず、破損があったとしても驚かないでしょう。 TraitsUIは複雑でデバッグが難しいため、このルートを使用する場合は事前に注意してください。

4
Dav Clark

wxPythonにはsetup.pyファイルが含まれていないため、easy_installpipもこの方法でビルドできません。 wxPythonのWebサイトにあるこれらの手順 および EnthoughtのWebサイトにあるこれらの手順 を参照して、wxPythonのビルド方法を理解してください。残念ながら、これをビルドしたことがないので(EnthoughtバージョンのPythonを使用していません)、それ以上のサポートはできません。幸運を!

7
fideli

EPDは使用していませんが、同じ問題が発生しました。結局 HomebrewwxWidgetwxPythonの両方をインストールする式を持っています。それは魅力のように働きます。次のコマンドを実行します。

brew install --python wxmac
6
Vincent

次のコマンドラインは、Debian 7.1 64ビットで動作します。

Sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-i18n libwxgtk2.8-dev libgtk2.0-dev
1
user1468044

ホームページの指示 に従って:

少なくとも、pipのバージョン6.0.8とsetuptoolsのバージョン12.0.5があることを確認してください。

Linuxのインストール要件を READMEドキュメント で概説)としてインストールします。

WxPython-Phoenix(Linux)をインストールします。

Sudo pip install --upgrade \
    --trusted-Host wxpython.org --pre -f \
    http://wxpython.org/Phoenix/snapshot-builds/ wxPython_Phoenix

WxPython-Phoenixをインストールします(Windows、適切なスクリプトフォルダーを使用):

C:\python27\scripts\pip.exe install --upgrade \
    --trusted-Host wxpython.org --pre -f \
    http://wxpython.org/Phoenix/snapshot-builds/ wxPython_Phoenix
1
Sergei